package com.fireworksdk.bridge.flutter.models

enum class FWSdkModuleCallMethod(val rawValue: String) {
    Init("init"),
    OpenVideoPlayer("openVideoPlayer"),
    SetCustomCTAClickEnabled("setCustomCTAClickEnabled"),
    SetVideoPlaybackEventEnabled("setVideoPlaybackEventEnabled"),
    SetShareBaseURL("setShareBaseURL"),
    SetAdBadgeConfiguration("setAdBadgeConfiguration"),
}

enum class FWShoppingModuleCallMethod(val rawValue: String) {
    Init("init"),
    SetCartIconVisible("setCartIconVisible"),
    SetCartItemCount("setCartItemCount"),
    setCustomClickCartIconEnabled("setCustomClickCartIconEnabled"),
}

enum class FWVideoFeedCallMethod(val rawValue: String) {
    SetVideoFeedConfiguration("setVideoFeedConfiguration"),
    SetVideoPlayerConfiguration("setVideoPlayerConfiguration"),
    Refresh("refresh"),
}

enum class FWLiveStreamModuleCallMethod(val rawValue: String) {
    Init("init"),
}

enum class FWNavigatorModuleCallMethod(val rawValue: String) {
    PushNativeContainer("pushNativeContainer"),
    PopNativeContainer("popNativeContainer"),
    CanPopNativeContainer("canPopNativeContainer"),
}