package com.fireworksdk.bridge.models

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class FWVideoFeedItemDetailsModel(
  val index: Int?,
  val id: String?,
  val duration: Int?,
  val source: String?,
  val title: String?,
  val playlistGroup: String?,
  val playlist: String?,
  val channel: String?,
  val dynamicContentParameters: HashMap<String, List<String>>?,
) : Parcelable

