//
//  FireworkChannelName.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2022/3/8.
//

import Foundation

enum FWChannelName: String {
    case fireworkFlutterSdk = "fw.fondor.channel/fw_flutter_sdk"
    case fireworkSdkModule = "fw.fondor.channel/firework_sdk_module"
    case fireworkShoppingModule = "fw.fondor.channel/shopping_module"
    case fireworkLiveStreamModule = "fw.fondor.channel/live_stream_module"
    case fireworkVideoFeedModule = "fw.fondor.channel/video_feed_%ld"
    case fireworkVideoFeed = "fw.fondor.view/video_feed"
    case fireworkNavigatorModule = "fw.fondor.channel/fw_navigator_module"
    case fireworkStoryBlockModule = "fw.fondor.channel/story_block_%ld"
    case fireworkStoryBlock = "fw.fondor.view/story_block"
}
