import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/add_to_cart_result.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/add_to_cart_result_util.dart';

void main() {
  test('AddToCartResultUtil toJson', () {
    expect(
      AddToCartResultUtil.toJson(AddToCartResult(
          res: AddToCartResponse.success, tips: "Add to cart successfully")),
      <String, dynamic>{"res": "success", "tips": "Add to cart successfully"},
    );

    expect(
      AddToCartResultUtil.toJson(AddToCartResult(
          res: AddToCartResponse.fail, tips: "Fail to add to cart")),
      <String, dynamic>{"res": "fail", "tips": "Fail to add to cart"},
    );
  });
}
