import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/video_feed_mode.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/video_feed_mode_util.dart';

void main() {
  test('VideoFeedModeUtil convertToRawFeedMode', () {
    for (var element in VideoFeedMode.values) {
      expect(
        VideoFeedModeUtil.convertToRawFeedMode(element),
        element.toString().split(".").last,
      );
    }
  });
}
